<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS Styling Properties and positioning</title>

    <link rel="stylesheet" href="./index.css">

</head>

<body>

    <h2>CSS Common Styling</h2>
    <!-- <div> tag is a block elements -->
    <div id="div-1">Thsis is a div.</div>
    <!-- <span> tag is an inline elements -->
    <span id="span-1">This is a span</span>

    <img id="img" src="https://place-puppy.com/450x450" alt="">
    <span id="span-2">This is another span</span>
    <div id="div-2">This is another div</div>

    <h3>Notes in block, inline and inline block</h3>

    <p id="p-1">Block takes up to the whole width by default</p>
    <p id="p-2">width 60</p>
    <p id="p-3">width 40</p>
    <p>Even if there is enough space, block elements do not sit next to each other unless if they are floated.</p>

    <p>Inline elements are things like bold and Italics. You cannot control the height and width of these elements.</p>

    <p>Inline-block can sit on the same line and combines block and inline properties</p>

    <div class="sample">width = 30</div>
    <div class="sample">width = 30</div>
    <div class="sample">width = 30</div>

    <hr>

    <h3>Float</h3>
    <p>the Float is used for positioning and formatting</p>

    <p>
        <img class="img-float" src="https://place-puppy.com/450x450" alt="" srcset="">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Quam id, architecto odit corrupti vero aut esse
        similique sunt iusto quo fugiat impedit molestias recusandae inventore corporis dignissimos! Eius, ducimus
        quisquam.
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Rerum voluptate eos cupiditate veritatis, tenetur
        distinctio sunt alias dolorem ab sequi consequuntur omnis ipsum enim vitae suscipit quibusdam exercitationem
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quis, provident dignissimos ipsum sed labore maiores
        harum mollitia incidunt, optio ducimus quibusdam at ipsa, vitae rem voluptatem non numquam neque voluptate.
        veniam quia.
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Quam id, architecto odit corrupti vero aut esse
        similique sunt iusto quo fugiat impedit molestias recusandae inventore corporis dignissimos! Eius, ducimus
        quisquam.
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Rerum voluptate eos cupiditate veritatis, tenetur
        distinctio sunt alias dolorem ab sequi consequuntur omnis ipsum enim vitae suscipit quibusdam exercitationem
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quis, provident dignissimos ipsum sed labore maiores
        harum mollitia incidunt, optio ducimus quibusdam at ipsa, vitae rem voluptatem non numquam neque voluptate.
        veniam quia.
    </p>

    <hr>

    <h3>CSS Unit</h3>

    <h4>px vs %</h4>

    <div class="box fifty-percent">50%</div>
    <div class="box one-hundred-pixels">100px</div>

    <br>

    <div class="box fifty-vw"> 50vw</div>
    <div class="box twenty-five-vh"> 25vh</div>


    <div>16px</div>
    <div class="one-rem">1rem</div>
    <div class="one-em">em</div>
    <div class="two-rem">2rem</div>
    <div class="two-em">2em</div>

    <div class="two-hundred-percent">200%</div>

    <div class="parent">
        <div class="one-rem">1rem</div>
        <div class="one-em">em</div>
        <div class="two-rem">2rem</div>
        <div class="two-em">2em</div>

        <div class="two-hundred-percent">200%</div>

        <div class="box fifty-percent">50%</div>
        <div class="box one-hundred-pixels">100px</div>
    </div>

    <hr>

    <section class="background">
        <div class="container-bg">
            <h3 class="bg-title">CSS Background Properties</h3>
        </div>
    </section>

    <div class="parent-element">Parent element
        <div class="child-one">
            I'm the Child one element.
        </div>
    </div>
    <div class="parent-element">Parent element
        <div class="child-two">
            all eyes on me. I'm the Child two element.
        </div>
    </div>
    <div class="parent-element">Parent element
        <div class="child-three">
            I'm the Child three element.
        </div>
    </div>

    <hr>
    <h2>Z-index example</h2>

    <p>An element with greate stack order is always above an elements with a lower stack order</p>

    <div class="container">
        <div class="black-box">Black box (z-index: 1)</div>
        <div class="gray-box">gray box (z-index: 3)</div>
        <div class="green-box">green box (z-index: 2)</div>
    </div>



</body>

</html>